import * as React from 'react';
import { DateRangeControlProps, DateRangeControlState } from './types';
/**
 * Controller component for making a date-range picker in conjunction with [CalendarMonth]()
 */
export declare class DateRangeControl extends React.Component<DateRangeControlProps, DateRangeControlState> {
    private numOfMonths;
    constructor(props: DateRangeControlProps);
    componentWillReceiveProps(nextProps: DateRangeControlProps): void;
    handleDayClick: (day: Date) => void;
    handleDayHover: (day: Date) => void;
    handleNavigation: (months: number) => () => void;
    render(): React.ReactNode;
}
